Subject: Re: Emacs hangs when scrolling using gnus-summary-next-page on pages with images
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Antoine Levitt <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 30 Sep 2010 23:42:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Antoine Levitt <[email-masked]> writes:

> I'm using gnus with the new gwene service to read RSS, in particular
> webcomics. I've had emacs hang in a particularly bad way when scrolling
> pages: consuming 100% of CPU and becoming unresponsive.
>
> This bug should be reproducible with any large images. I tested it with
> gwene.com.phdcomics and gwene.fr.lemonde.blog.vidberg.
>
> I'm using (not 100% sure which are relevant)
> (setq mm-inline-text-html-with-images t)
> (setq mm-attachment-override-types '("image/.*"))
> (setq w3m-default-display-inline-images t)
> (setq w3m-toggle-inline-images-permanently nil)

In the latest Gnus/Emacs with the new HTML rendering code, this should
no longer be a problem.  And if your Emacs 24 is built with imagemagick
support. images will be scaled down to 90% of the window size, which
fixes some of the scrolling issues.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen